morso484

Airbus version # compatibility?

Recommended Posts

I apologize id this has been answered before, but I can't find it.  In regard to the A320 immersion compatatilblity, I am unsure of which version of the Aerosoft Airbus family I actually have.  I am unsure if it is the "X", "Extended" or whatever version.  I recall purchasing it as a bundled A318 /319 A320/321.  None of the documentation mentions "Extended".  The only thing I have to go on is the version of the software is "1.31".  I would like to add the Immersion product if it will work with my software.

Thanks

Mike

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Keven,

Thanks for the answer, am I correct then in assuming Ol Prop Immersion software will work on this version?

Mike

 

Share this post


Link to post
Share on other sites

Any idea if/when Immersion will be compatible with Aerosoft's Airbus Pro (64 bit) product?

 

Thanks

Kevin

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now